%global           pypi_name kiwisolver

Name:             python-kiwisolver
Version:          1.3.1
Release:          %mkrel 1
Summary:          A Cassowary constraint solving algorithm
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/kiwisolver/
Source0:          https://github.com/nucleic/kiwi/archive/%{pypi_name}-%{version}.tar.gz

%description
Kiwi is an efficient C++ implementation of the Cassowary
constraint solving algorithm. Kiwi is an implementation of the
algorithm based on the seminal Cassowary paper. It is not a
refactoring of the original C++ solver. Kiwi has been designed from
the ground up to be lightweight and fast. Kiwi ranges from 10x to 500x
faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In
addition to the C++ solver, Kiwi ships with hand-rolled Python
bindings.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Kiwi
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cppy)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-kiwisolver
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitearch}/%{pypi_name}*.so


%changelog
* Sun Dec 06 2020 eatdirt <eatdirt> 1.3.1-1.mga8
+ Revision: 1653720
- Upgrade to version 1.3.1

* Sat Jul 11 2020 eatdirt <eatdirt> 1.2.0-2.mga8
+ Revision: 1605183
- Add missing BR to cppy
- Upgrade to version 1.2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1531807
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1440988
- rebuild for python3.8
- drop python2 support

* Tue May 21 2019 eatdirt <eatdirt> 1.1.0-1.mga7
+ Revision: 1398757
- Update to version 1.1.0

* Mon Jan 07 2019 shlomif <shlomif> 1.0.1-3.mga7
+ Revision: 1350399
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300512
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 eatdirt <eatdirt> 1.0.1-1.mga7
+ Revision: 1248644
- Fix missing BR
- imported package python-kiwisolver

